﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace DeskTopMascot
{
    /// <summary>
    /// Message.xaml の相互作用ロジック
    /// </summary>
    public partial class MessageWindow : Window
    {
        public MessageWindow()
        {
            InitializeComponent();
        }

        public void SetTopLeft(double top, double left)
        {
            Dispatcher.Invoke(() => this.Top = top);
            Dispatcher.Invoke(() => this.Left = left);
        }

        public void DisplayMessage()
        {
            var texts = new List<string>()
            {
                "メリークリスマス★",
                "リア充爆発しろ",
                "(*‘ω‘ *)"
            };

            var r = new Random();
            var i = r.Next(3);

            Dispatcher.Invoke(() => this.message.Text = texts[i]);
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            if ((sender as MessageWindow).IsActive)
            {
                e.Cancel = true;
                this.Visibility = Visibility.Hidden;
            }
        }
    }
}
